body {
	
	margin: 0px;
	padding: 0 0 50px 0;

	font-family: 'Roboto', sans-serif;

	background-color: #f6f4f1;

}

.chart_area button { 

	background: #45b3fd; 
	font-size: 16px; 
	color: #ffffff;
	font-weight: 300; 
	line-height: 1.5625;
	outline: 0;
	margin: 35px 0 10px 30px;
	border-width: 0;
	padding: 5px 20px 5px 20px;
	border-radius: 10px;

}

.chart_area button:hover {
  	background: #2D8FCC;
}

.footnotes {
	padding-left: 30px;
}

.login h1 {
	font-family: 'Roboto', sans-serif;
	font-weight:900;
	text-align: left;
	padding-left: 25px;

}

.wrapper {
	width: 95vw;
	margin: 0 auto;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}


/* -------------  DATA ELEMENTS -------------  */

.data_point {
	background-color: #FFF;
	box-shadow: 1px 3px 20px #666666;
	padding: 20px 20px 10px 20px !important;
	margin: 0 10px 0 10px !important;
	border-radius: 10px;

}

.data_point h1 {
	color: #000;
	font-size: 36px;
	font-family: 'Roboto', sans-serif;
	font-weight: 700;
	display: block;
	width: 100%;
	text-align: left !important;
	margin: 0 0;
}

.data_point h2 {
	color: #666;
	font-size: 12px;
	font-family: 'Roboto', sans-serif;
	display: block;
	width: 100%;
	text-align: left !important;
	margin: 5px 0 5px 15px;
}

.chart_area {
	background-color: #FFF;
	border-color: #666666;
	box-shadow: 1px 3px 20px #666666;
	padding: 10px 30px 10px 30px;
	margin: 0 10px 0 10px !important;
	border-radius: 10px;
	width: 40vw;
	min-height: 34vw;
	height: auto;

}

.chart_area_large {
	background-color: #FFF;
	border-color: #666666;
	box-shadow: 1px 3px 20px #666666;
	padding: 10px 30px 10px 30px;
	margin: 0 10px 0 10px !important;
	border-radius: 10px;
	width: 85vw;
	height: auto;

}

.chart_area_large h1 {
	color: #000000;
	font-size: 28px;
	font-family: 'Roboto', sans-serif;
	font-weight:900;
	display: block;
	width: 100%;
	text-align: left !important;
	margin: 15px 0 25px 10px;
}

.chart_area h1 {
	color: #000000;
	font-size: 28px;
	font-family: 'Roboto', sans-serif;
	font-weight:900;
	display: block;
	width: 100%;
	text-align: left !important;
	margin: 15px 0 25px 10px;
}

.chart_area > div {
	margin: 0 auto;
}

.header_section h1 {
	color: #000;
	font-size: 50px;
	font-family: 'Roboto', sans-serif;
	font-weight:900;
	display: block;
	width: 100%;
	text-align: left !important;
	margin: 0 0;
}

.table {
	height: auto!important;
	padding-bottom: 30px!important;
}

/* ------------- GRID ------------- */

.header_section {
  grid-column-start: 1;
  grid-column-end: 5;
  padding: 5px 0 10px 0 !important;
}

.footer_section {
  grid-column-start: 1;
  grid-column-end: 5;
  padding: 5vh 0 !important;
}

.chart_section {
	grid-column: auto / span 2;
	padding: 10px 0 !important;
}

.chart_section_large {
	grid-column: auto / span 5;
	padding: 10px 0 !important;
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto auto auto;
  grid-gap: 5px;
  background-color: #f6f4f1;
  padding: 10px;

}

.grid-container > div {
  padding: 20px 0;
}


.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.sidenav .logout {
	font-size: 15px;
	padding: 80px 8px 8px 32px;
}

.sidenav a:hover {
    color: #f1f1f1;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

#main {
    transition: margin-left .5s;
    padding: 16px;
}

.menu {
	padding: 20px 0 0 10px;
	font-family: 'Roboto', sans-serif;
	font-weight:900;
}


.login {
	padding: 30px 0 0 0;
	width: 30vw;
	margin: 0 auto;
}

.form {
	background-color: #FFF;
	border-color: #666666;
	box-shadow: 1px 3px 20px #666666;
	padding: 20px 30px 20px 30px;
	margin: 0 10px 0 10px !important;
	border-radius: 10px;
	height: auto;
}
input {
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #f2f2f2;
  width: 100%;
  border: 0;
  margin: 0 0 15px;
  padding: 15px;
  box-sizing: border-box;
  font-size: 14px;
}
.form button {
  font-family: "Roboto", sans-serif;
  text-transform: uppercase;
  outline: 0;
  background: #45b3fd;
  width: 100%;
  border: 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 14px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}

.form button:hover, .form button:active,.form button:focus {
  background: #2D8FCC;
}
.form .message {
  margin: 15px 0 0;
  color: #b3b3b3;
  font-size: 12px;
}
.form .message a {
  color: #4CAF50;
  text-decoration: none;
}
.form .register-form {
  display: none;
}

/*.chart_area button {
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #45b3fd;
  width: 100%;
  border: 0;
  margin: 25px 0 0 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 10px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}
*/

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
  .sidenav .logout {font-size: 12px;}
}


@media only screen and (max-width: 1024px) {

	.grid-container {
	  grid-template-columns: auto auto;
	}

	.header_section {
	  grid-column-end: 3;
	 padding: 5px 0 15px 0!important;
	}

	.chart_section_large {
		grid-column: auto / span 3;
		padding: 5px 0 !important;
	}

	.footer_section {
	  grid-column-end: 3;
	   padding: 5vh 0 !important;
	}

	.chart_section {
		 padding: 10px 0 !important;
	}

	.grid-container > div {
	  padding: 1px 0 15px 0;
	}

	.chart_area {

		padding: 2px 10px 2px 10px;
		margin: 0 5px 0 5px !important;
		width: 90vw;
		height: 70vw;

	}

	.dataframe {
		font-size: 10px;
    	/*width: 80%!important;*/
	}




}


@media only screen and (max-width: 768px) {

	.login {
		width:80vw;
	}
	.grid-container {
	  grid-template-columns: auto auto;
	}

	.header_section {
	  grid-column-end: 3;
	  padding: 5px 0 15px 0!important;
	}

	.footer_section {
	  grid-column-end: 3;
	   padding: 5vh 0 !important;
	}

	.chart_section {
		 padding: 10px 0 !important;
	}

	.grid-container > div {
	  padding: 1px 0 15px 0;
	}

	.chart_area {
		box-shadow: 1px 3px 10px #666666;
		padding: 2px 10px 2px 10px;
		margin: 0 5px 0 5px !important;
		width: 83vw;
		height: 78vw;

	}

	.chart_area h1 {
		font-size: 24px;

	}

	.chart_area_large {
		width:83vw;
		box-shadow: 1px 3px 10px #666666;
		padding: 2px 10px 2px 10px;
		margin: 0 5px 0 5px !important;
	}


	.data_point {
		box-shadow: 1px 3px 10px #666666;
	}

	.data_point h1 {
		font-size: 26px;
	}

	.data_point h2 {
		font-size: 10px;
	}



/*	input {
		width: 80%;
	}*/

}

.dataframe {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

td, th {
    border: 1px solid #ddd;
    padding: 8px;
}

tr:nth-child(even){background-color: #f2f2f2;}

tr:hover {background-color: #ddd;}

th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #666666;
    color: white;
}